use libdit::libdit::dit_struct_to_unix;
use libdit::libdit::unix_to_dit_string;
use libdit::libdit::unix_to_dit_struct;
use libdit::libdit::Dit;

#[test]
fn test_unix_to_dit_string() {
	assert_eq!("3.57.13", unix_to_dit_string(938056.836));
	assert_eq!("3.07.03", unix_to_dit_string(933728.0));
	assert_eq!("9.99.99", unix_to_dit_string(1672574399.9999));
	assert_eq!("0.00.00", unix_to_dit_string(1672574400.0000));
}

#[test]
fn test_unix_to_dit_struct() {
	assert_eq!(
		Dit {
			deca: 0,
			decim: 0,
			desec: 0
		},
		unix_to_dit_struct(43200.0)
	);
}

#[test]
fn test_dit_struct_to_unix() {
	assert_eq!(
		43200.0,
		dit_struct_to_unix(Dit {
			deca: 0,
			decim: 0,
			desec: 0
		})
	);
}
